# conf.mk - make configuration file. 
#
# Copyright (c) 2007, TeamF1, Inc.
#
# modification history
# --------------------
# 01a,08feb08,jkg written,
#
# DESCRIPTION 
# 
# This file contains make configuration variables for missing
#
#*/

#include $(TEAMF1_BASE)/make/conf.mk

OPTION_INCLUDE_DIR=-I

ifeq ($(TEAMF1_BASE),)
TEAMF1_BASE=$(WIND_BASE)/target
endif

ifeq ($(TGT_DIR),)
TGT_DIR=$(WIND_BASE)/target
endif

ifeq ($(TEAMF1_MISSING_BASE),)
TEAMF1_MISSING_BASE=$(TEAMF1_BASE)
endif

ifeq ($(MISSING_INC_DIR),)
MISSING_INC_DIR=$(TEAMF1_MISSING_BASE)/h/missing
endif

ifeq ($(TEAMF1_MAKE_BASE),)
TEAMF1_MAKE_BASE=$(TEAMF1_BASE)/make
endif

ifeq  ($(MULTI_LIB),n)
LIB_SUFFIX= 
else
LIB_SUFFIX=missing-gpl
endif

ifeq ($(TGT_ARCH),arm)
ifeq ($(TOOLCHAINRELEASE),4.3.3)
ADDED_CFLAGS += -DUCLIBC_TOOLCHAIN_4_3_3
endif
endif
