#!/bin/sh

old_IFS=$IFS      # save the field separator
IFS=$'\n'

getmd vlanmac | tail -15 > /tmp/vlanmacdump.txt # save the vlanmac in /tmp/vlanmacdump.txt
MAC=`getmd basemac | cut -d" " -f4` 
VLANMAC=`echo $MAC | sed 's/\(..\)/\1:/g;s/:$//'`
echo $VLANMAC > /tmp/vlanmac.txt

for line in $(cat /tmp/vlanmacdump.txt)
do
MAC=`echo $line | cut -d" " -f4`
VLANMAC=`echo $MAC | sed 's/\(..\)/\1:/g;s/:$//'`
echo $VLANMAC >> /tmp/vlanmac.txt
done
BASEMAC=`getmd basemac | cut -d" " -f4`
DMZMAC1=`printf "%0.12x\n" $(( 0x$BASEMAC + 0x2 ))`
DMZMAC=`echo $DMZMAC1 | sed 's/\(..\)/\1:/g;s/:$//'`
echo $DMZMAC >> /tmp/vlanmac.txt
IFS=$old_IFS
