--[[
#### Abdul Shukur
#### TeamF1
#### www.TeamF1.com
#### Feb 19, 2011

#### File: tr069Mgmt.lua
#### Description: tr069 Mamangement functions

#### Revisions:
#### Abdul Shukur
#### Feb 19, 2011
#### Written
#### for tr069.htm 
#### 
]]--


--************* Requires *************
tr069Config = {}
--************* Functions *************



-- radius config
function tr069Config.config (inputTable, rowid, operation)
    local valid=false
    -- validate
    if (operation == "add") then
        valid = db.insert("tr069Config", inputTable)
    elseif (operation == "edit") then
        valid = db.update("tr069Config", inputTable, rowid)
    elseif (operation == "delete") then
        valid = db.delete("tr069Config", inputTable)
    end
    -- return
	if (valid) then
        print("Commiting DB changes ...")
	    db.commitTransaction(true)
		return "OK", "Operation Succeeded"
	else
	    db.rollback()
	    return "ERROR", "ACCESSMGMT_CONFIG_FAILED"
    end
end


